<!--
SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
SPDX-License-Identifier: BSD-2-Clause
-->

# Changelog

All notable changes to the media-type-version project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.1.2] - 2025-06-08

### Additions

- Rust implementation:
    - `media-type-version`:
        - add the documentation base URL for the `crates-io` index

### Other changes

- Python implementation:
    - allow `cappa` 0.28 with no changes
    - test suite:
        - use `uvoxen` 0.2 and switch to a `mediaType` format version
        - use `ruff` 0.11.13 with no changes
- Rust implementation:
    - `media-type-version`:
        - use `facet` 0.27.12 for the `facet-unstable` feature
        - minor refactoring
    - `mtv-extract`:
        - switch from `anyhow` to `eyre`
    - test suite:
        - switch from `anyhow` to `eyre`
        - switch from `test-log` to `facet-testhelpers`

## [0.1.1] - 2025-05-23

### Fixes

- Rust implementation:
    - replace the invalid "media type" crate keyword with "media-type"

### Other changes

- Python implementation:
    - refresh the `uv.lock` file
- Rust implementation:
    - constify some missed functions

## [0.1.0] - 2025-05-23

### Started

- First public release.

[Unreleased]: https://gitlab.com/ppentchev/media-type-version/-/compare/release%2F0.1.2...main
[0.1.2]: https://gitlab.com/ppentchev/media-type-version/-/compare/release%2F0.1.1...release/0.1.2
[0.1.1]: https://gitlab.com/ppentchev/media-type-version/-/compare/release%2F0.1.0...release/0.1.1
[0.1.0]: https://gitlab.com/ppentchev/media-type-version/-/tags/release%2F0.1.0
